com.holonplatform.vaadin7.components.builders

## Interface ItemListingBuilder.TableItemListingBuilder<T>

- Type Parameters:
    `T` - Item data type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<ItemListingBuilder.TableItemListingBuilder<T>>, ComponentBuilder<BeanListing<T>,ItemListingBuilder.TableItemListingBuilder<T>>, ComponentConfigurator<ItemListingBuilder.TableItemListingBuilder<T>>, ComponentPostProcessorSupport<com.vaadin.ui.Table,ItemListingBuilder.TableItemListingBuilder<T>>, ItemDataSourceComponentBuilder<T,BeanListing<T>,ItemListingBuilder.TableItemListingBuilder<T>>, ItemListingBuilder<T,String,BeanListing<T>,ItemListingBuilder.TableItemListingBuilder<T>,com.vaadin.ui.Table>, ItemListingBuilder.BaseTableItemListingBuilder<T,String,BeanListing<T>,ItemListingBuilder.TableItemListingBuilder<T>>
  Enclosing interface:
    ItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder<T,P,C,B,X>,X extends com.vaadin.ui.Component>

      public static interface ItemListingBuilder.TableItemListingBuilder<T>
      extends ItemListingBuilder.BaseTableItemListingBuilder<T,String,BeanListing<T>,ItemListingBuilder.TableItemListingBuilder<T>>

  Builder to create an `ItemListing` with a `Table` as backing component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder

      `ItemListingBuilder.BaseGridItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseGridItemListingBuilder<T,P,C,B>>, ItemListingBuilder.BaseTableItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseTableItemListingBuilder<T,P,C,B>>, ItemListingBuilder.FooterBuilder, ItemListingBuilder.GridFooterGenerator<T,P>, ItemListingBuilder.GridItemListingBuilder<T>, ItemListingBuilder.GridSection<ROWTYPE extends com.vaadin.ui.Grid.StaticSection.StaticRow<?>>, ItemListingBuilder.HeaderBuilder, ItemListingBuilder.TableFooterGenerator<T,P>, ItemListingBuilder.TableItemListingBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder.BaseTableItemListingBuilder

      `cacheRate, dragMode, dropHandler, expandRatio, footer, icon, pageLength, rowGenerator, withActionHandler, withFooterClickListener, withHeaderClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder

      `alignment, buffered, build, build, columnHidingAllowed, columnReorderingAllowed, commitHandler, defaultValue, editable, editable, editor, footerVisible, header, header, header, hidable, hidden, hideHeaders, itemDescriptionGenerator, readOnly, selectionMode, sortable, sortGenerator, sortUsing, style, style, width, withItemClickListener, withPropertyReorderListener, withPropertyResizeListener, withPropertyVisibilityListener, withRowStyle, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemDataSourceComponentBuilder

      `dataSource, dataSource, itemAdapter`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentPostProcessorSupport

      `withPostProcessor`

Copyright © 2019 The Holon Platform. All rights reserved.